﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Drawing;

namespace Shape_Mapper
{
    class Plot
    {
        private Point _gridPoint;

        /// <summary>
        /// Accepts x and y as grid intersect points
        /// </summary>
        public Plot(Point point)
        {
            _gridPoint = point;
        }

        /// <summary>
        /// Gets or sets the location in grid coordinates
        /// </summary>
        public Point GridPoint
        {
            get { return _gridPoint; }
            set { _gridPoint = value; }
        }

        /// <summary>
        /// Gets the pixel location of the plotted point
        /// </summary>
        public Point GetLocation(Grid grid)
        {
            double xPercent = _gridPoint.X / (double)grid.GridDimension;
            double yPercent = _gridPoint.Y / (double)grid.GridDimension;

            int x = (int)(grid.ClientSize.Width * xPercent + 0.5);
            int y = (int)(grid.ClientSize.Height * yPercent + 0.5);

            return new Point(x, y);
        }


    }
}
