﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Drawing;
using System.Drawing.Drawing2D;

namespace Shape_Mapper
{
    class ReferenceLine
    {
        private static Pen LinePen = new Pen(Color.Silver, 2f);
        private Plot _startPlot = new Plot(new Point(-1, -1));
        private Plot _endPlot = new Plot(new Point(-1, -1));

        static ReferenceLine()
        {
            LinePen.DashStyle = DashStyle.Dash;
        }

        public void DrawLine(Grid grid)
        {
            grid.BackBuffer.DrawLine(LinePen, _startPlot.GetLocation(grid), _endPlot.GetLocation(grid));
        }

        public Plot StartPlot
        {
            get { return _startPlot; }
            set { _startPlot = value; }
        }

        public Plot EndPlot
        {
            get { return _endPlot; }
            set { _endPlot = value; }
        }

        /// <summary>
        /// Gets whether the line is complete
        /// </summary>
        public bool Complete
        {
            // if x is -1 then the point is considered unset
            get { return !_endPlot.GridPoint.X.Equals(-1); }
        }
    }
}
